Download it now!
Bug 118162 - Add time limits for spell checking and spelling suggestions
Summary: Add time limits for spell checking and spelling suggestions
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords: perf
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2018-06-14 10:35 UTC by László Németh
Modified: 2018-06-28 07:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Test document with a long word with long suggesiton time (9.68 KB, application/vnd.oasis.opendocument.text)
2018-06-17 18:19 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2018-06-14 10:35:25 UTC
Description:
Spelling dictionaries with compound word usage have often slow suggestions for long words.


Actual Results:  

In extreme cases, this could result freezing of LibreOffice for several seconds or more.

Expected Results:
suggestions immediately


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0
Comment 1 László Németh 2018-06-17 18:19:01 UTC
Gerrit: https://gerrit.libreoffice.org/#/c/55965/

For example, a Hungarian test word (click on right mouse button for several second freezing [also in Firefox]):

Paprikaparadicsomkörtedinnye-Leveségetőeszterágról

(The attached Hungarian test document contains the same word.)
Comment 2 László Németh 2018-06-17 18:19:42 UTC
Created attachment 142828 [details]
Test document with a long word with long suggesiton time
Comment 3 Commit Notification 2018-06-24 07:32:15 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b691e5824a6346d2fe7f702b5280b56532a2f89e

tdf#118162 spell checking: fix freezing and add missing OCONV

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-06-28 07:10:26 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec0715eaaf2655e2eaa9e228e26583b63038ba02&h=libreoffice-6-1

tdf#118162 spell checking: fix freezing and add missing OCONV...

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.